
<!DOCTYPE html>

<html class="no-js" lang="en">
<head>
<meta charset="utf-8"/>
<meta content="width=device-width,initial-scale=1" name="viewport"/>
<link href="../assets/images/favicon.png" rel="icon"/>
<meta content="mkdocs-1.2.3, mkdocs-material-7.3.6" name="generator"/>
<title>Tests - SecuWallet</title>
<link href="../assets/stylesheets/main.a57b2b03.min.css" rel="stylesheet"/>
<link href="../assets/stylesheets/palette.3f5d1f46.min.css" rel="stylesheet"/>
<meta content="#ab47bd" name="theme-color"/>
<link crossorigin="" href="https://fonts.gstatic.com" rel="preconnect"/>
<link href="https://fonts.googleapis.com/css?family=Roboto:300,400,400i,700%7CRoboto+Mono&amp;display=fallback" rel="stylesheet"/>
<style>:root{--md-text-font-family:"Roboto";--md-code-font-family:"Roboto Mono"}</style>
<link href="https://unpkg.com/mermaid@8.5.1/dist/mermaid.css" rel="stylesheet"/>
<link href="../extra.css" rel="stylesheet"/>
</head>
<body data-md-color-accent="" data-md-color-primary="purple" data-md-color-scheme="slate" dir="ltr">
<script>function __prefix(e){return new URL("..",location).pathname+"."+e}function __get(e,t=localStorage){return JSON.parse(t.getItem(__prefix(e)))}</script>
<input autocomplete="off" class="md-toggle" data-md-toggle="drawer" id="__drawer" type="checkbox"/>
<input autocomplete="off" class="md-toggle" data-md-toggle="search" id="__search" type="checkbox"/>
<label class="md-overlay" for="__drawer"></label>
<div data-md-component="skip">
<a class="md-skip" href="#tests">
          Skip to content
        </a>
</div>
<div data-md-component="announce">
</div>
<header class="md-header" data-md-component="header">
<nav aria-label="Header" class="md-header__inner md-grid">
<a aria-label="SecuWallet" class="md-header__button md-logo" data-md-component="logo" href=".." title="SecuWallet">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54z"></path></svg>
</a>
<label class="md-header__button md-icon" for="__drawer">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2z"></path></svg>
</label>
<div class="md-header__title" data-md-component="header-title">
<div class="md-header__ellipsis">
<div class="md-header__topic">
<span class="md-ellipsis">
            SecuWallet
          </span>
</div>
<div class="md-header__topic" data-md-component="header-topic">
<span class="md-ellipsis">
            
              Tests
            
          </span>
</div>
</div>
</div>
<label class="md-header__button md-icon" for="__search">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"></path></svg>
</label>
<div class="md-search" data-md-component="search" role="dialog">
<label class="md-search__overlay" for="__search"></label>
<div class="md-search__inner" role="search">
<form class="md-search__form" name="search">
<input aria-label="Search" autocapitalize="off" autocomplete="off" autocorrect="off" class="md-search__input" data-md-component="search-query" name="query" placeholder="Search" required="" spellcheck="false" type="text"/>
<label class="md-search__icon md-icon" for="__search">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"></path></svg>
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"></path></svg>
</label>
<nav aria-label="Search" class="md-search__options">
<button aria-label="Clear" class="md-search__icon md-icon" tabindex="-1" type="reset">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z"></path></svg>
</button>
</nav>
</form>
<div class="md-search__output">
<div class="md-search__scrollwrap" data-md-scrollfix="">
<div class="md-search-result" data-md-component="search-result">
<div class="md-search-result__meta">
            Initializing search
          </div>
<ol class="md-search-result__list"></ol>
</div>
</div>
</div>
</div>
</div>
</nav>
</header>
<div class="md-container" data-md-component="container">
<main class="md-main" data-md-component="main">
<div class="md-main__inner md-grid">
<div class="md-sidebar md-sidebar--primary" data-md-component="sidebar" data-md-type="navigation">
<div class="md-sidebar__scrollwrap">
<div class="md-sidebar__inner">
<nav aria-label="Navigation" class="md-nav md-nav--primary" data-md-level="0">
<label class="md-nav__title" for="__drawer">
<a aria-label="SecuWallet" class="md-nav__button md-logo" data-md-component="logo" href=".." title="SecuWallet">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54z"></path></svg>
</a>
    SecuWallet
  </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../0_Poster/">
        Poster
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../1_Resume/">
        Introduction
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../2_CahierDesCharges/">
        Cahier des charges
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../3_planning/">
        Planning
      </a>
</li>
<li class="md-nav__item md-nav__item--active md-nav__item--nested">
<input checked="" class="md-nav__toggle md-toggle" data-md-toggle="__nav_5" id="__nav_5" type="checkbox"/>
<label class="md-nav__link" for="__nav_5">
          Documentation technique
          <span class="md-nav__icon md-icon"></span>
</label>
<nav aria-label="Documentation technique" class="md-nav" data-md-level="1">
<label class="md-nav__title" for="__nav_5">
<span class="md-nav__icon md-icon"></span>
          Documentation technique
        </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../4_analyseExistant/">
        Analyse de L'existant
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../5_userStories/">
        User Stories
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../6_interface/">
        Interfaces
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../7_Architecture/">
        Architecture
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../8_outilsExterne/">
        Outils et librairies externes
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../9_installationEnvironnement/">
        Installation de l'environnement
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../10_EncryptionBdd/">
        Encryption de base de données
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../docClasse/">
        Description Classes
      </a>
</li>
<li class="md-nav__item md-nav__item--active">
<input class="md-nav__toggle md-toggle" data-md-toggle="toc" id="__toc" type="checkbox"/>
<label class="md-nav__link md-nav__link--active" for="__toc">
          Tests
          <span class="md-nav__icon md-icon"></span>
</label>
<a class="md-nav__link md-nav__link--active" href="./">
        Tests
      </a>
<nav aria-label="Table of contents" class="md-nav md-nav--secondary">
<label class="md-nav__title" for="__toc">
<span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
<ul class="md-nav__list" data-md-component="toc" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="#client">
    Client
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#site-internet">
    Site internet
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#api-php">
    API PHP
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../conclusion/">
        Conclusion
      </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item md-nav__item--nested">
<input class="md-nav__toggle md-toggle" data-md-toggle="__nav_6" id="__nav_6" type="checkbox"/>
<label class="md-nav__link" for="__nav_6">
          Annexes
          <span class="md-nav__icon md-icon"></span>
</label>
<nav aria-label="Annexes" class="md-nav" data-md-level="1">
<label class="md-nav__title" for="__nav_6">
<span class="md-nav__icon md-icon"></span>
          Annexes
        </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../JournalDeBord/">
        Journal de bord
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../tableDesIllustrations/">
        Table des illustrations
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../planningAnnexe/">
        Planning
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../codeSource/">
        Code source
      </a>
</li>
</ul>
</nav>
</li>
</ul>
</nav>
</div>
</div>
</div>
<div class="md-sidebar md-sidebar--secondary" data-md-component="sidebar" data-md-type="toc">
<div class="md-sidebar__scrollwrap">
<div class="md-sidebar__inner">
<nav aria-label="Table of contents" class="md-nav md-nav--secondary">
<label class="md-nav__title" for="__toc">
<span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
<ul class="md-nav__list" data-md-component="toc" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="#client">
    Client
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#site-internet">
    Site internet
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#api-php">
    API PHP
  </a>
</li>
</ul>
</nav>
</div>
</div>
</div>
<div class="md-content" data-md-component="content">
<article class="md-content__inner md-typeset">
<style>table{
    border:1px solid #000000;

}
td{
    border:1px solid #000000;
}
thead{
    border:1px solid #000000;
}
</style>
<h1 id="tests">Tests</h1>
<p>Pour cette partie du travail, j'ai mis en place plusieurs tests afin de les mettre en pratique et ainsi voir les résultats et apporter des modifications si nécessaires. Ils sont représentés par 3 tableaux un pour l'application C#, un pour le site web et le dernier pour l'API PHP.</p>
<h2 id="client">Client</h2>
<table>
<thead>
<tr>
<th><strong>N°</strong></th>
<th><strong>Interface</strong></th>
<th><strong>Description</strong></th>
<th align="center"><strong>Résultat</strong></th>
</tr>
</thead>
<tbody>
<tr>
<td>1</td>
<td>frmLogin.cs</td>
<td>Lorsque l'utilisateur lance l'application, on voit apparaître une interface de connexion</td>
<td align="center">OK</td>
</tr>
<tr>
<td>2</td>
<td>frmLogin.cs</td>
<td>Lorsque l'utilisateur entre son mail, mais qu'il n’est pas conforme ou n'est pas présent dans la base de données, alors un message s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>3</td>
<td>frmLogin.cs</td>
<td>Lorsque l'utilisateur met son mot de passe, mais qu'il ne correspond pas à un minimum de 6 chiffres alors un message s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>4</td>
<td>frmAuthenticatorPopUP.cs</td>
<td>Lorsque l'utilisateur rentre toutes ses données de connexion et qu'elles sont validées alors une interface "authenticator" s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>5</td>
<td>frmAuthenticatorPopUp.cs</td>
<td>Lorsque l'utilisateur met le code de Google Authenticator, mais qu'il est expiré alors un message s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>6</td>
<td>frmMain.cs</td>
<td>Lorsque l'utilisateur est conforme à la partie Authenticator alors une interface "acceuil" s'affiche avec ses wallet mis en évidence.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>7</td>
<td>frmMain.cs</td>
<td>Lorsque l'utilisateur choisit un de ses portefeuilles, le chargement des données de celle-ci s'affiche (Ex. quantité ETH, conversion avec la devise de base ou celle sélectionnée, historique des transactions).</td>
<td align="center">OK</td>
</tr>
<tr>
<td>8</td>
<td>frmMain.cs</td>
<td>Lorsque l'utilisateur veut voir son graphique valeur en appuyant sur l'onglet en question, alors on voit apparaître un graphique qui correspond à l'évolution de la valeur de sa cryptomonnaie en heure.</td>
<td align="center">KO</td>
</tr>
<tr>
<td>9</td>
<td>frmMain.cs</td>
<td>Lorsque l'utilisateur veut voir son graphique quantité en appuyant sur l'onglet en question, alors on voit apparaître un graphique qui correspond à l'évolution de la quantité de cryptomonnaie en heure.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>10</td>
<td>frmMain.cs</td>
<td>Lorsque l'utilisateur veut envoyer de l'Ethereum, il appuie sur le bouton "Envoyer", alors une interface s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>11</td>
<td>frmEnvoi.cs</td>
<td>Lorsque l'utilisateur veut envoyer de l'Ethereum, il remplit le formulaire en question, mais la clé publique est erronée, alors un message s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>12</td>
<td>frmEnvoi.cs</td>
<td>Lorsque l'utilisateur veut envoyer de l'Ethereum , il remplit le formulaire en question, mais il oublie de remplir une ou plusieurs informations, alors un message d'erreur s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>13</td>
<td>frmEnvoi.cs</td>
<td>Lorsque l'utilisateur veut envoyer il remplit le formulaire en question, mais son mot de passe est erroné alors un message d'erreur s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>14</td>
<td>frmEnvoi.cs</td>
<td>Lorsque l'utilisateur veut envoyer il remplie le formulaire en question il sélectionne un portefeuille dans la section "Compte personnel", alors la clé publique est copiée dans le formulaire.</td>
<td align="center">OK</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th><strong>N°</strong></th>
<th><strong>Interface</strong></th>
<th><strong>Description</strong></th>
<th align="center"><strong>Résultat</strong></th>
</tr>
</thead>
<tbody>
<tr>
<td>15</td>
<td>frmEnvoi.cs</td>
<td>Lorsque l'utilisateur veut envoyer il remplie le formulaire en question il sélectionne un contact dans la section "Contacts", alors la clé publique est copiée dans le formulaire.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>16</td>
<td>frmEnvoi.cs</td>
<td>Lorsque l'utilisateur veut envoyer il remplie le formulaire en question et tout se passe bien alors une "pop-up" Authenticator s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>17</td>
<td>frmAuthenticatorPopUp.cs</td>
<td>Lorsque l'utilisateur veut envoyer il remplie le formulaire en question et tout se passe bien alors une "pop-up" Authenticator s'affiche. Mais il se trompe alors un message d'erreur s'affiche</td>
<td align="center">OK</td>
</tr>
<tr>
<td>18</td>
<td>frmEnvoi.cs</td>
<td>Lorsque l'utilisateur veut envoyer il remplie le formulaire en question et tout se passe bien alors une "pop-up" Authenticator s'affiche. Mais le code est expiré alors un message d'erreur s'affiche</td>
<td align="center">OK</td>
</tr>
<tr>
<td>19</td>
<td>frmAuthenticatorPopUp.cs</td>
<td>Lorsque l'utilisateur veut envoyer il remplie le formulaire en question et tout se passe bien alors une "pop-up" Authenticator s'affiche. Tout se passe bien alors un message de confirmation est affiché.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>20</td>
<td>frmAddress.cs</td>
<td>Lorsque l'utilisateur veut recevoir alors il appuie sur le bouton "Recevoir" de la page d'accueil. Une interface s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>21</td>
<td>frmEnvoi.cs</td>
<td>Lorsque l'utilisateur veut recevoir alors un QR code s'affiche et fonctionne.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>22</td>
<td>frmEnvoi.cs</td>
<td>Lorsque l'utilisateur veut recevoir alors sa clé publique s'affiche et peut être copiée.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>23</td>
<td>frmMonCompte.cs</td>
<td>Lorsque l'utilisateur veut aller dans la partie "mon compte", alors il appuie sur le "rouage" et une interface s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>24</td>
<td>frmGestionPorteFeuilles.cs</td>
<td>Lorsque l'utilisateur veut gérer ses portefeuilles alors il appuie sur le bouton "Gérer mes portefeuilles", alors une interface s'affiche avec les portefeuilles qu'il a déjà en sa possession.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>25</td>
<td>frmGestionPorteFeuilles.cs</td>
<td>Lorsque l'utilisateur veut ajouter un portefeuille, il appuie sur l'onglet "Nouveau", alors il s'affiche un petit formulaire où il doit rentrer le nom et le mot de passe.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>26</td>
<td>frmGestionPorteFeuilles.cs</td>
<td>Lorsque l'utilisateur veut confirmer l'ajout, mais que le nom du portefeuille existe déjà, alors un message s'affiche pour avertir comme quoi il existe déjà.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>27</td>
<td>frmGestionPorteFeuilles.cs</td>
<td>Lorsque l'utilisateur veut supprimer un portefeuille il appuie directement sur supprimer, alors un message s'affiche pour informer qu'il faut sélectionner un portefeuille présent dans la liste.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>28</td>
<td>frmGestionPorteFeuilles.cs</td>
<td>Lorsque l'utilisateur veut supprimer un portefeuille il en sélectionne un et appuie sur supprimer, alors un code Authenticator est demandé.</td>
<td align="center">OK</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th><strong>N°</strong></th>
<th><strong>Interface</strong></th>
<th><strong>Description</strong></th>
<th align="center"><strong>Résultat</strong></th>
</tr>
</thead>
<tbody>
<tr>
<td>29</td>
<td>frmGestionPorteFeuilles.cs</td>
<td>Lorsque l'utilisateur veut importer un portefeuille et qu'il choisit de l'importer sous forme de clé privée, alors il appuie sur le bouton "Clé privée", alors cela ouvre une interface avec un formulaire.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>30</td>
<td>frmGestionPorteFeuilles.cs</td>
<td>Lorsque l'utilisateur veut importer un portefeuille et qu'il choisit de l'importer sous forme de clé privée, il remplit le formulaire. Mais la clé privée est erronée alors un message s'affiche</td>
<td align="center">OK</td>
</tr>
<tr>
<td>31</td>
<td>frmGestionPorteFeuilles.cs</td>
<td>Lorsque l'utilisateur veut importer un portefeuille et qu'il choisit de l'importer sous forme de clé privée, il remplit le formulaire, mais que le nom du portefeuille est existant, alors on affiche un message d'erreur.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>32</td>
<td>frmGestionPorteFeuilles.cs</td>
<td>Lorsque l'utilisateur veut importer un portefeuille et qu'il choisit de l'importer sous forme de clé privée, il remplit le formulaire, mais le mot de passe ne correspond pas à au moins 6 caractères, alors un message d'erreur s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>33</td>
<td>frmGestionPorteFeuilles.cs</td>
<td>Lorsque l'utilisateur veut importer un portefeuille et qu'il choisit de l'importer sous forme de clé privée, il remplit le formulaire et appuie sur le bouton "Importer" alors un message s'affiche pour donner l'indication que le portefeuille est bel et bien créé.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>34</td>
<td>frmGestionPorteFeuilles.cs</td>
<td>Lorsque l'utilisateur veut importer un portefeuille et qu'il choisit de l'importer sous forme de fichier "JSON", alors il appuie sur le bouton "Fichier JSON", alors cela ouvre une interface avec un formulaire.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>35</td>
<td>frmGestionPorteFeuilles.cs</td>
<td>Lorsque l'utilisateur veut importer un portefeuille et qu'il choisit de l'importer sous forme de fichier "JSON", mais que le fichier invalide, alors on affiche une erreur</td>
<td align="center">OK</td>
</tr>
<tr>
<td>36</td>
<td>frmGestionPorteFeuilles.cs</td>
<td>Lorsque l'utilisateur veut importer un portefeuille et qu'il choisit de l'importer sous forme de fichier "JSON", et que le mot de passe n'est pas le bon puisqu'il faut cela soit le même que son fichier "JSON", alors un message d'erreur s'affiche</td>
<td align="center">OK</td>
</tr>
<tr>
<td>37</td>
<td>frmGestionPorteFeuilles.cs</td>
<td>Lorsque l'utilisateur veut importer un portefeuille et qu'il choisit de l'importer sous forme de fichier "JSON", mais que le nom est le même qu'un de ses portefeuilles, alors on affiche un message d'erreur.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>38</td>
<td>frmGestionPorteFeuilles.cs</td>
<td>Lorsque l'utilisateur veut importer un portefeuille et qu'il choisit de l'importer sous forme de fichier "JSON", en appuyant sur le bouton "Importer", alors un message de confirmation est affiché.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>39</td>
<td>frmMonCompte.cs</td>
<td>Lorsque l'utilisateur veut voir ses paramètres, il appuie sur le bouton "Paramètre" de l'interface "Mon compte", alors une interface s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>40</td>
<td>frmParametres.cs</td>
<td>Lorsque l'utilisateur veut voir ses paramètres pour changer sa devise, il sélectionne la devise voulue et elle immédiatement enregistrée.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>41</td>
<td>frmContact.cs</td>
<td>Lorsque l'utilisateur veut gérer son journal de contact, alors il appuie sur le bouton "Contacts" et une interface s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>42</td>
<td>frmContact.cs</td>
<td>Lorsque l'utilisateur veut gérer son journal de contact pour supprimer un contact, alors il appuie directement sur "Supprimer" sans sélectionner un contact un message d'erreur s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>43</td>
<td>frmContact.cs</td>
<td>Lorsque l'utilisateur veut gérer son journal de contact pour supprimer un contact, alors il sélectionne un contact dans la liste et appuie sur le bouton "Supprimer". Le contact disparait.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>44</td>
<td>frmContact.cs</td>
<td>Lorsque l'utilisateur veut gérer son journal de contact pour modifier un contact, alors il appuie directement sur "Modifer" un message d'erreur s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>45</td>
<td>frmContact.cs</td>
<td>Lorsque l'utilisateur veut gérer son journal de contact pour modifier un contact, il sélectionne un contact dans la liste et il appuie sur "Modifer" une interface s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>46</td>
<td>frmContact.cs</td>
<td>Lorsque l'utilisateur veut gérer son journal de contact pour modifier un contact, il sélectionne un contact dans la liste et il appuie sur "Modifer" une interface s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>47</td>
<td>frmContact.cs</td>
<td>Lorsque l'utilisateur veut gérer son journal de contact pour modifier un contact, il sélectionne un contact dans la liste et il appuie sur "Modifer" une interface s'affiche avec les informations du contact sélectionné.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>48</td>
<td>frmContact.cs</td>
<td>Lorsque l'utilisateur veut gérer son journal de contact pour modifier un contact, il sélectionne un contact dans la liste et il appuie sur "Modifer" une interface s'affiche avec les informations du contact sélectionné. Il les modifie et appuie sur le bouton "Valider", alors on est redirigé vers l'interface du journal de contacts.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>49</td>
<td>frmContact.cs</td>
<td>Lorsque l'utilisateur veut gérer son journal de contact pour ajouter un contact, alors il appuie sur le bouton "Nouveau" et une interface s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>50</td>
<td>frmContact.cs</td>
<td>Lorsque l'utilisateur veut gérer son journal de contact pour ajouter un contact, il remplit le formulaire en question, mais se trompe sur la clé publique. Dans ce cas un message d'erreur s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>51</td>
<td>frmContact.cs</td>
<td>Lorsque l'utilisateur veut gérer son journal de contact pour ajouter un contact, il remplit le formulaire en question, mais le nom du contact est déjà pris. Dans ce cas un message d'erreur s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>52</td>
<td>frmContact.cs</td>
<td>Lorsque l'utilisateur veut gérer son journal de contact pour ajouter un contact, il remplit le formulaire et que tout est bon alors il appuie sur le bouton "Valider" et un message de confirmation s'affiche.</td>
<td align="center">OK</td>
</tr>
<tr>
<td>53</td>
<td>frmMonCompte.cs</td>
<td>Lorsque l'utilisateur désire se déconnecter de l'application il appuie sur le bouton "Déconnexion" de l'interface "Mon compte", alors tout se faire et la page login apparaît.</td>
<td align="center">OK</td>
</tr>
</tbody>
</table>
<p>Le test qui m'a donné le plus de difficulté et qui n'est toujours pas validé est le N° 8. Le comparatif entre le temps des blocs et le temps de l'API CryptoCompare afin de déterminer le prix de l'Ethereum à l'instant où l'utilisateur détient un certain nombre de coins. Je n'ai pas corrigé ce bug par souci de temps.</p>
<h2 id="site-internet">Site internet</h2>
<table>
<thead>
<tr>
<th><strong>N°</strong></th>
<th><strong>Interface</strong></th>
<th><strong>Description</strong></th>
<th align="center"><strong>Résultat</strong></th>
</tr>
</thead>
<tbody>
<tr>
<td>1</td>
<td>connexion.php</td>
<td>L'utilisateur peut entrer un mail et un mot de passe valide et voit apparaître une nouvelle TextBox.</td>
<td align="center">Ok</td>
</tr>
<tr>
<td>2</td>
<td>connexion.php</td>
<td>L'utilisateur une fois après avoir réalisé le test N° 1 peut entrer son code Google Authenticator valide et est redirigé sur la page de téléchargement.</td>
<td align="center">Ok</td>
</tr>
<tr>
<td>3</td>
<td>login.php</td>
<td>L'utilisateur peut entrer un mail et un mot de passe valide et voit apparaître un QR code accompagné d'une TextBox.</td>
<td align="center">Ok</td>
</tr>
<tr>
<td>4</td>
<td>login.php</td>
<td>L'utilisateur une fois après avoir réaliser le test N° 3 peut scanner le QR code dans l'application Google Authenticator ce qui lui ajoute un compte.</td>
<td align="center">Ok</td>
</tr>
<tr>
<td>5</td>
<td>login.php</td>
<td>L'utilisateur une fois après avoir réalisé le test N° 4 peut entrer le code Google Authenticator et se voit redirigé sur la page connexion.php.</td>
<td align="center">Ok</td>
</tr>
<tr>
<td>6</td>
<td>download.php</td>
<td>L'utilisateur peut en cliquant sur un lien télécharger le fichier d'installation de mon client C#</td>
<td align="center">Ok</td>
</tr>
</tbody>
</table>
<h2 id="api-php">API PHP</h2>
<p>Afin d'effectuer les tests sur l'API que j'ai développé j'ai utilisé l'extension Google Chrome Talend API tester. Ce logiciel m'a permis d'envoyer des requêtes POST sur mes différents scripts en y ajoutant des valeurs valide et erronée.</p>
<table>
<thead>
<tr>
<th><strong>Id</strong></th>
<th><strong>Description</strong></th>
<th align="center"><strong>Résultat</strong></th>
</tr>
</thead>
<tbody>
<tr>
<td>1</td>
<td>Check login utilisateur accepté s’il est valide</td>
<td align="center">OK</td>
</tr>
<tr>
<td>2</td>
<td>Check login utilisateur refusé s’il est erroné</td>
<td align="center">OK</td>
</tr>
<tr>
<td>3</td>
<td>Check code Google Authenticator accepté s’il est valide</td>
<td align="center">OK</td>
</tr>
<tr>
<td>4</td>
<td>Check code Google Authenticator refusé s’il est erroné</td>
<td align="center">OK</td>
</tr>
<tr>
<td>5</td>
<td>Création du token JWT</td>
<td align="center">OK</td>
</tr>
<tr>
<td>6</td>
<td>Vérification du token JWT accepté s’il est valide</td>
<td align="center">OK</td>
</tr>
<tr>
<td>7</td>
<td>Vérification du token JWT refusé s’il est modifié</td>
<td align="center">OK</td>
</tr>
</tbody>
</table>
</article>
</div>
</div>
</main>
<footer class="md-footer">
<nav aria-label="Footer" class="md-footer__inner md-grid">
<a aria-label="Previous: Description Classes" class="md-footer__link md-footer__link--prev" href="../docClasse/" rel="prev">
<div class="md-footer__button md-icon">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"></path></svg>
</div>
<div class="md-footer__title">
<div class="md-ellipsis">
<span class="md-footer__direction">
                Previous
              </span>
              Description Classes
            </div>
</div>
</a>
<a aria-label="Next: Conclusion" class="md-footer__link md-footer__link--next" href="../conclusion/" rel="next">
<div class="md-footer__title">
<div class="md-ellipsis">
<span class="md-footer__direction">
                Next
              </span>
              Conclusion
            </div>
</div>
<div class="md-footer__button md-icon">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M4 11v2h12l-5.5 5.5 1.42 1.42L19.84 12l-7.92-7.92L10.5 5.5 16 11H4z"></path></svg>
</div>
</a>
</nav>
<div class="md-footer-meta md-typeset">
<div class="md-footer-meta__inner md-grid">
<div class="md-footer-copyright">
        
        
          Made with
          <a href="https://squidfunk.github.io/mkdocs-material/" rel="noopener" target="_blank">
            Material for MkDocs
          </a>
 ... <a class="link--pdf-download" download href="../pdf/document.pdf" title="PDF">download PDF</a></div>
</div>
</div>
</footer>
</div>
<div class="md-dialog" data-md-component="dialog">
<div class="md-dialog__inner md-typeset"></div>
</div>
<script id="__config" type="application/json">{"base": "..", "features": [], "translations": {"clipboard.copy": "Copy to clipboard", "clipboard.copied": "Copied to clipboard", "search.config.lang": "en", "search.config.pipeline": "trimmer, stopWordFilter", "search.config.separator": "[\\s\\-]+", "search.placeholder": "Search", "search.result.placeholder": "Type to start searching", "search.result.none": "No matching documents", "search.result.one": "1 matching document", "search.result.other": "# matching documents", "search.result.more.one": "1 more on this page", "search.result.more.other": "# more on this page", "search.result.term.missing": "Missing", "select.version.title": "Select version"}, "search": "../assets/javascripts/workers/search.fcfe8b6d.min.js", "version": null}</script>
<script src="../assets/javascripts/bundle.b1047164.min.js"></script>
<script src="https://unpkg.com/mermaid@8.5.1/dist/mermaid.min.js"></script>
</body>
</html>